<!--
  Generated template for the FriendsPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar hideBackButton color="dark">
  	<ion-buttons left>
	  	<button ion-button (click)="backToTabs()">
	  		<ion-icon class="customIcon" name="arrow-back"></ion-icon>
	  	</button>
	</ion-buttons>
    <ion-title>Friends List</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
	<ion-searchbar class="all-friend-search-bar" [(ngModel)]="searchString" (input)="searchuser($event)" placeholder="Search"></ion-searchbar>
	<ion-list no-lines>
		<div *ngFor="let allFriends of friendsList$ | async" class="friend-list-item">
			<div *ngFor="let allUser of userList$ | async">
				<ion-item-sliding *ngIf="allFriends.key == allUser.key">
					<ion-item>
						<ion-thumbnail item-left>
							<img-loader src="{{ allUser.photoURL }}" useImg></img-loader>
						</ion-thumbnail>
						<h2>{{ allUser.displayName }}</h2>
					</ion-item>
					<ion-item-options slide="left">
						<button ion-button color="danger" (click)="unfriendThisPerson(allFriends.key, allUser.displayName)">
							<ion-icon name="trash"></ion-icon>
							Unfriend
						</button>
						<button ion-button color="secondary" (click)="chatWithThisPerson(allFriends.key, allUser.displayName)">
							<ion-icon name="chatbubbles"></ion-icon>
							Chat
						</button>
					</ion-item-options>
				</ion-item-sliding>
			</div>
		</div>
	</ion-list>
	
</ion-content>
